/*
 * Copyright (c) 2002-2008 TeamDev Ltd. All rights reserved.
 *
 * Use is subject to license terms.
 *
 * The complete licence text can be found at
 * http://www.teamdev.com/winpack/license.jsf
 */
package teamdev.jxcapture.samples.demo.timer;

import teamdev.jxdesktop.PlatformContext;

import javax.swing.*;

/**
 * Represents window container for the Timer dialog that notifies
 * how many seconds left before capture.
 *
 * @author slavapak
 */
public abstract class TimerWindow {

    /**
     * Creates the Timer window on the basis of input JWindow instance.
     *
     * @param window input JWindow instance to embedd into Timer window.
     * @return the Timer window.
     */
    public static TimerWindow createInstance(JWindow window) {
        if (PlatformContext.isWindows()) {
            return new WindowsTimerWindow(window);
        } else {
            return new MacOSTimerWindow(window);
        }
    }

    protected TimerWindow() {}

    /**
     * Shows Timer window using fade effect.
     */
    public abstract void showWithFadeEffect();
}
